#!/bin/bash

section_name="No Budget Orchestra"
zip_name44="strings44k.zip, brass44k.zip, and woodwinds44k.zip"
zip_name48="strings48k.zip, brass48k.zip, and woodwinds48k.zip"

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

chmod -R 775 ${SCRIPT_DIR}/Installer
chmod -R 775 ${SCRIPT_DIR}/exe

. ${SCRIPT_DIR}/Installer/gui.sh
. ${SCRIPT_DIR}/Installer/install_intro.sh
. ${SCRIPT_DIR}/Installer/ask_gui.sh
. ${SCRIPT_DIR}/Installer/check_zip.sh

if [ "$gksu_flag" = 1 ]; then
zenity --notification --text="I am now copying the files. This may take awhile..."
else
clear
echo "I am now copying the files. This may take awhile..."
echo
fi

. ${SCRIPT_DIR}/Installer/copy_helpers.sh

# ================================================
wave_category="Strings"
wave_dir_name=""
. ${SCRIPT_DIR}/Installer/copy_wfiles.sh
wave_dir_name="Violins"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
wave_dir_name="Cellos"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
wave_dir_name="DoubleBasses"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
wave_dir_name="Harp"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
# ================================================
wave_category="Brass"
wave_dir_name=""
. ${SCRIPT_DIR}/Installer/copy_wfiles.sh
wave_dir_name="French_Horns"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
wave_dir_name="Trumpets"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
wave_dir_name="Trombones"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
wave_dir_name="Tubas"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
# ================================================
wave_category="Woodwind"
wave_dir_name=""
. ${SCRIPT_DIR}/Installer/copy_wfiles.sh
wave_dir_name="Flutes"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
# ================================================
wave_category="Reed"
wave_dir_name=""
. ${SCRIPT_DIR}/Installer/copy_wfiles.sh
wave_dir_name="Bassoons"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
wave_dir_name="Oboes"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
wave_dir_name="Clarinets"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
# ================================================
wave_category="Mallet"
wave_dir_name=""
. ${SCRIPT_DIR}/Installer/copy_wfiles.sh
wave_dir_name="Glock"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
wave_category="Percussion"
wave_dir_name=""
. ${SCRIPT_DIR}/Installer/copy_wfiles.sh
wave_dir_name="Timpani"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
wave_category="Drumkit"
wave_dir_name="OrchPerc"
. ${SCRIPT_DIR}/Installer/copy_wfiles.sh
. ${SCRIPT_DIR}/Installer/copy_plugin.sh
# ================================================
wave_category=""
wave_dir_name="Orchestra"
. ${SCRIPT_DIR}/Installer/copy_plugin.sh

. ${SCRIPT_DIR}/Installer/install_done.sh
